Get a user
curl --request GET \
--url https://eu.sequencehq.com/api/users/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://eu.sequencehq.com/api/users/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://eu.sequencehq.com/api/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "7b1f28b9-a4ad-450b-a0ea-fd647d5109b2",
"email": "person@example.com",
"sequenceAccountIds": [
"724c4f93-8606-4a38-bfbf-50a7045e4eaa"
],
"state": "active",
"roles": [
{
"roleName": "salesUser",
"permissions": [
{
"resource": "org.customer",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.billing",
"actions": [
"read"
]
},
{
"resource": "org.product",
"actions": [
"read"
]
},
{
"resource": "org.quote",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"publish",
"accept"
]
},
{
"resource": "org.invoice",
"actions": [
"read"
]
},
{
"resource": "org.creditNote",
"actions": [
"read"
]
},
{
"resource": "org.usage",
"actions": [
"read"
]
},
{
"resource": "org.revenueRecognition",
"actions": [
"read"
]
},
{
"resource": "org.settings",
"actions": [
"read",
"invite"
]
},
{
"resource": "org.integration",
"actions": [
"read"
]
},
{
"resource": "org.tax",
"actions": [
"read"
]
},
{
"resource": "org.asset",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.watchtower",
"actions": [
"read"
]
},
{
"resource": "org.bulkAction",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.savedView",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
}
]
},
{
"roleName": "financeUser",
"permissions": [
{
"resource": "org.customer",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.billing",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"start"
]
},
{
"resource": "org.product",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.quote",
"actions": [
"read",
"execute"
]
},
{
"resource": "org.invoice",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.creditNote",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.usage",
"actions": [
"read"
]
},
{
"resource": "org.revenueRecognition",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.settings",
"actions": [
"read",
"invite"
]
},
{
"resource": "org.integration",
"actions": [
"read"
]
},
{
"resource": "org.tax",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.asset",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.watchtower",
"actions": [
"read"
]
},
{
"resource": "org.bulkAction",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.savedView",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
}
]
}
]
}This response has no body data.This response has no body data.This response has no body data.Users
Get a user
Retrieve the details of one of your users.
GET
/
users
/
{id}
Get a user
Headers
Your API credentials. Eg. Basic {credentials}.
Use this header to select an API version
Available options:
2024-07-30 Path Parameters
Sequence User ID
Response
OK
The unique ID of this user.
Example:
"7b1f28b9-a4ad-450b-a0ea-fd647d5109b2"
The email address of this user.
Example:
"john@example.xyz"
A list of Sequence account IDs. These account IDs represent the accounts this user has access to.
Example:
[
"83da2ca4-49c7-4d81-9c9a-ba5be11768b0",
"c0901c87-e1a9-48e9-9e2f-9e05c402dcea"
]
The state of this user.
Example:
"active"
The roles assigned to this user for the current Sequence account.
Example:
[
{
"roleName": "financeUser",
"permissions": [
{
"resource": "org.customer",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.billing",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"start"
]
},
{
"resource": "org.product",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.quote",
"actions": ["read", "execute"]
},
{
"resource": "org.invoice",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.creditNote",
"actions": [
"create",
"read",
"update",
"delete",
"archive",
"finalize",
"send"
]
},
{
"resource": "org.usage",
"actions": ["read"]
},
{
"resource": "org.revenueRecognition",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.settings",
"actions": ["read", "invite"]
},
{
"resource": "org.integration",
"actions": ["read"]
},
{
"resource": "org.tax",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.asset",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.watchtower",
"actions": ["read"]
},
{
"resource": "org.bulkAction",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
},
{
"resource": "org.savedView",
"actions": [
"create",
"read",
"update",
"delete",
"archive"
]
}
]
}
]
⌘I